import random

def random_act():
    acts = [
        "Hold the door open for someone.",
        "Give a genuine compliment to a stranger.",
        "Help an elderly person with their groceries.",
        "Leave a positive note for someone to find.",
        "Donate blood.",
        "Volunteer at a local charity.",
        "Plant a tree.",
        "Pick up litter in your neighborhood.",
        "Offer to help a neighbor with yard work.",
        "Bring baked goods to your local fire station.",
        "Pay for the person behind you in line.",
        "Donate books to a local library.",
        "Send a care package to a deployed soldier.",
        "Offer your seat on public transportation.",
        "Help someone change a flat tire.",
        "Donate pet supplies to an animal shelter.",
        "Leave coins at a laundromat.",
        "Write a positive online review for a local business.",
        "Offer to babysit for free.",
        "Make a bird feeder for your yard.",
        "Shovel snow for a neighbor.",
        "Donate old towels to an animal shelter.",
        "Offer to take a photo for tourists.",
        "Leave extra time in a parking meter.",
        "Donate school supplies to a teacher.",
        "Help someone carry heavy items.",
        "Share your umbrella on a rainy day.",
        "Leave a kind note in a library book.",
        "Offer to return someone's shopping cart.",
        "Send a thank you note to a former teacher.",
        "Donate warm clothes to a homeless shelter.",
        "Offer to walk a neighbor's dog.",
        "Leave positive sticky notes in public places.",
        "Donate old glasses to a vision charity.",
        "Offer to help someone move.",
        "Bring flowers to a nursing home.",
        "Send an encouraging text to a friend.",
        "Cook a meal for someone who is sick.",
        "Offer to teach someone a skill you have.",
        "Give directions to someone who looks lost.",
        "Donate to a crowdfunding campaign.",
        "Leave a generous tip for your server.",
        "Offer to help someone with their resume.",
        "Give up your spot in line to someone in a hurry.",
        "Donate hair to a charity that makes wigs for cancer patients.",
        "Help someone learn a new language.",
        "Offer to pet-sit for a friend.",
        "Write a letter of recommendation for someone.",
        "Donate unused art supplies to a school.",
        "Offer to help a coworker with a project."
    ]
    return random.choice(acts)

def gratitude():
    gratitudes = [
        "Thank you for always being there for me. Your support means the world.",
        "I'm grateful for your kindness and generosity. You make a difference.",
        "Your help was invaluable. I couldn't have done it without you.",
        "Thank you for your time and effort. It's truly appreciated.",
        "Your thoughtfulness brightened my day. Thank you so much.",
        "I'm thankful for your friendship. You bring joy to my life.",
        "Your guidance has been instrumental. Thank you for being a great mentor.",
        "I appreciate your hard work and dedication. You're an inspiration.",
        "Thank you for your patience and understanding. It means a lot to me.",
        "Your encouragement gave me strength. I'm grateful for your support.",
        "Thank you for going above and beyond. Your efforts don't go unnoticed.",
        "I'm grateful for your positive attitude. It's contagious!",
        "Your generosity is heartwarming. Thank you for your kindness.",
        "Thank you for listening when I needed someone to talk to.",
        "I appreciate your honesty and trust. Thank you for being you.",
        "Your creativity inspires me. Thank you for sharing your talents.",
        "Thank you for your compassion during difficult times.",
        "I'm grateful for your sense of humor. You always make me smile.",
        "Your wisdom and advice have been invaluable. Thank you for guiding me.",
        "Thank you for believing in me when I didn't believe in myself.",
        "I appreciate your punctuality and reliability. Thank you for respecting my time.",
        "Your optimism is refreshing. Thank you for always seeing the bright side.",
        "Thank you for your forgiveness. It means more than you know.",
        "I'm grateful for your commitment to our friendship/relationship.",
        "Your attention to detail is impressive. Thank you for your thoroughness.",
        "Thank you for your flexibility and understanding when plans change.",
        "I appreciate your willingness to help others. You're making the world better.",
        "Thank you for your courage in standing up for what's right.",
        "Your enthusiasm is contagious. Thank you for bringing energy to everything you do.",
        "I'm grateful for your calm presence during stressful situations.",
        "Thank you for your constructive feedback. It helps me grow.",
        "Your generosity with your knowledge is admirable. Thank you for teaching me.",
        "I appreciate your ability to keep secrets. Thank you for being trustworthy.",
        "Thank you for your patience when explaining things to me.",
        "Your creativity in problem-solving is impressive. Thank you for your innovative ideas.",
        "I'm grateful for your empathy and understanding. You truly care about others.",
        "Thank you for your punctuality. It shows respect for others' time.",
        "Your dedication to self-improvement inspires me. Thank you for setting a great example.",
        "I appreciate your ability to remain calm under pressure. It's reassuring.",
        "Thank you for your honesty, even when it's difficult.",
        "Your passion for your work/hobby is inspiring. Thank you for sharing it with others.",
        "I'm grateful for your open-mindedness. You always consider different perspectives.",
        "Thank you for your attention to detail. It makes a big difference.",
        "Your loyalty is admirable. Thank you for being a true friend.",
        "I appreciate your sense of adventure. Thank you for encouraging me to try new things.",
        "Thank you for your patience with my mistakes. It helps me learn and grow.",
        "Your positive outlook on life is refreshing. Thank you for spreading optimism.",
        "I'm grateful for your resilience in face of challenges. You're an inspiration.",
        "Thank you for your constructive criticism. It helps me improve.",
        "Your authenticity is admirable. Thank you for always being true to yourself."
    ]
    return random.choice(gratitudes)

def compliment():
    compliments = [
        "Your kindness is contagious and brightens everyone's day.",
        "You have a remarkable ability to make others feel valued and heard.",
        "Your creativity knows no bounds. It's truly inspiring!",
        "Your resilience in the face of challenges is admirable.",
        "You have a gift for explaining complex ideas in a simple way.",
        "Your positive attitude is refreshing and uplifting.",
        "You have an incredible sense of style that's uniquely you.",
        "Your dedication to personal growth is inspiring to those around you.",
        "You have a natural talent for leadership and bringing out the best in others.",
        "Your empathy and compassion make the world a better place.",
        "You have an amazing ability to find humor in any situation.",
        "Your attention to detail is impressive and appreciated.",
        "You have a gift for making people feel comfortable and welcome.",
        "Your problem-solving skills are top-notch. You always find a way!",
        "You have a beautiful smile that lights up the room.",
        "Your enthusiasm is contagious and motivates those around you.",
        "You have an incredible work ethic that sets you apart.",
        "Your generosity knows no bounds. You're always there to help.",
        "You have a unique perspective that adds value to every conversation.",
        "Your patience is admirable, especially in difficult situations.",
        "You have a natural charm that draws people to you.",
        "Your determination is inspiring. You never give up!",
        "You have a talent for bringing out the best in others.",
        "Your optimism is refreshing and helps others see the bright side.",
        "You have an amazing ability to remain calm under pressure.",
        "Your creativity in problem-solving is truly impressive.",
        "You have a gift for making even mundane tasks enjoyable.",
        "Your honesty and integrity are admirable traits.",
        "You have a wonderful sense of humor that brightens everyone's day.",
        "Your confidence is inspiring and empowers others.",
        "You have an incredible memory for details that others might miss.",
        "Your passion for learning is contagious and inspiring.",
        "You have a talent for making others feel valued and important.",
        "Your ability to see the best in others is truly remarkable.",
        "You have a natural grace and poise that's admirable.",
        "Your thoughtfulness in your actions is deeply appreciated.",
        "You have an amazing ability to think outside the box.",
        "Your genuine interest in others makes you a great conversationalist.",
        "You have a talent for bringing people together and fostering community.",
        "Your courage to stand up for what's right is inspiring.",
        "You have a gift for finding beauty in the ordinary.",
        "Your ability to adapt to new situations is impressive.",
        "You have a natural talent for [specific skill or hobby].",
        "Your positive energy is infectious and uplifting.",
        "You have an admirable balance of confidence and humility.",
        "Your ability to listen without judgment is a rare and valuable trait.",
        "You have a knack for making people feel special and appreciated.",
        "Your innovative ideas are always exciting and forward-thinking.",
        "You have a wonderful way with words that captivates others.",
        "Your authenticity is refreshing and inspiring to those around you."
    ]
    return random.choice(compliments)